<?php
defined( 'ABSPATH' ) || exit;

add_filter( 'ultp_addons_config', 'ultp_category_config' );
function ultp_category_config( $config ) {
	$configuration = array(
		'name' => __( 'Taxonomy Image & Color', 'ultimate-post-pro' ),
		'desc' => __( 'It allows you to add category or taxonomy-specific featured images and colors to make them attractive.', 'ultimate-post-pro' ),
        'is_pro' => true,
		'docs' => 'https://wpxpo.com/docs/postx/add-on/category-addon/',
		'live' => 'https://www.wpxpo.com/postx/addons/category/live_demo_args',
		'video' => 'https://www.youtube.com/watch?v=cd75q-lJIwg',
		'img' => ULTP_PRO_URL.'assets/img/category-style.svg',
		'position' => 15
	);
	$config['ultp_category'] = $configuration;
	return $config;
}

add_action( 'init', 'ultp_category_init' );
function ultp_category_init() {
	$settings = ultimate_post()->get_setting( 'ultp_category' );
	if ( $settings == 'true' ) {
		require_once ULTP_PRO_PATH . '/addons/category/Category.php';
		new \ULTP_PRO\Category();
	}
	add_filter( 'ultp_settings', 'get_category_settings', 10, 1 );
}

function get_category_settings( $config ) {
	$arr = array(
		'ultp_category' => array(
			'label' => __('Taxonomy', 'ultimate-post-pro'),
			'attr' => array(
				'compare_heading' => array(
					'type'  => 'heading',
					'label' => __('Category Settings', 'ultimate-post-pro'),
				),
				'taxonomy_list' => array(
					'type' => 'multiselect',
					'label' => __('Select Taxonomy', 'ultimate-post-pro'),
					'options' => get_taxonomies(),
					'desc' => __('You Can Select Multiple Taxonomy.', 'ultimate-post-pro'),
					'default' => ['category']
				)
			)
		)
	);
	return array_merge($config, $arr);
}